Skip to main content
GET
/
api
/
library
/
sources
/
{source_id}
Get Source
curl --request GET \
  --url https://api.example.com/api/library/sources/{source_id}
{
  "chunk_count": 1,
  "id": "<string>",
  "indexed_at": "2023-11-07T05:31:56Z",
  "namespace": "<string>",
  "title": "<string>",
  "type": "youtube",
  "channel": "<string>",
  "description": "<string>",
  "duration": 1,
  "feedback_down": 0,
  "feedback_up": 0,
  "file_path": "<string>",
  "has_meaningful_learnings": true,
  "learnings": {
    "code_snippets": [
      {
        "code": "<string>",
        "description": "<string>",
        "language": "<string>",
        "verdict": {
          "explanation": "<string>",
          "status": "correct",
          "corrected_code": "<string>",
          "corrected_description": "<string>"
        }
      }
    ],
    "concepts": [
      "<string>"
    ],
    "summary": "<string>",
    "tools": [
      "<string>"
    ]
  },
  "taxonomy_confidence": 0.5,
  "taxonomy_labels": [
    "<string>"
  ],
  "taxonomy_path": "<string>",
  "thumbnail_url": "<string>",
  "upload_date": "<string>",
  "url": "<string>",
  "video_id": "<string>"
}

Path Parameters

source_id
string
required

Response

Successful Response

A source item in the library.

chunk_count
integer
required
Required range: x >= 0
id
string
required
indexed_at
string<date-time>
required
namespace
string
required
title
string
required
type
enum<string>
required
Available options:
youtube,
document,
article
channel
string | null
description
string | null
duration
integer | null
Required range: x >= 0
feedback_down
integer
default:0
Required range: x >= 0
feedback_up
integer
default:0
Required range: x >= 0
file_path
string | null
has_meaningful_learnings
boolean
default:true
learnings
Learnings · object

Extracted learnings from a source.

taxonomy_confidence
number | null
Required range: 0 <= x <= 1
taxonomy_labels
string[]
taxonomy_path
string | null
thumbnail_url
string | null
upload_date
string | null
url
string | null
video_id
string | null